Index: demux.c
===================================================================
--- demux.c	(revision 34)
+++ demux.c	(working copy)
@@ -45,6 +45,7 @@
 
 #define SDT_PID        0x11
 #define EIT_PID        0x12
+#define TDT_PID        0x14
 
 typedef struct ts_pid_t
 {
@@ -132,6 +133,8 @@
 
         SetPID(EIT_PID); /* EIT */
         p_eit_dvbpsi_handle = dvbpsi_AttachDemux( PSITableCallback, NULL );
+
+        SetPID(TDT_PID); /* TDT */
     }
 }
 
@@ -204,6 +207,14 @@
         {
             dvbpsi_PushPacket( p_sdt_dvbpsi_handle, p_ts->p_ts );
         }
+        else if ( b_enable_epg && i_pid == TDT_PID )
+        {
+            for ( i = 0; i < i_nb_outputs; i++ )
+            {
+                if ( pp_outputs[i]->i_maddr )
+                    output_Put( pp_outputs[i], p_ts );
+            }
+        }
         else
         {
             for ( i = 0; i < i_nb_sids; i++ )
Index: NEWS
===================================================================
--- NEWS	(revision 34)
+++ NEWS	(working copy)
@@ -6,7 +6,7 @@
   * Support for adapters with multiple frontends (-n)
   * Control of verbosity level with -q
   * Support for TS over raw UDP with -U or /udp in the config file
-  * EIT and SDT pass-through for EPG information
+  * EIT, SDT and TDT pass-through for EPG information (-e)
   * Original TSID kept (randomized TSID via -T)
   * Miscellaneous CAM and tuning fixes
   * DVB-S diseqc support
